# This is a devel package:
%define debug_package	%{nil}

Name:		vc
Version:	1.4.3
Release:	%mkrel 1
Summary:	Ease explicit vectorization of C++ code
License:	BSD
Group:		Development/C++
Url:		https://github.com/VcDevel/Vc
Source0:	https://github.com/VcDevel/Vc/releases/download/%{version}/Vc-%{version}.tar.gz

BuildRequires:	cmake

%description
Vc is a free software library to ease explicit vectorization of C++ code.
It has an intuitive API and provides portability between different
compilers and compiler versions as well as portability between different
vector instruction sets.

%prep
%setup -qn Vc-%{version}
%autopatch -p1

%build
%cmake -DBUILD_TESTING=OFF
%cmake_build

%install
%cmake_install

%files
%{_includedir}/Vc/
%{_libdir}/libVc.a
%{_libdir}/cmake/Vc/


%changelog
* Sun Sep 11 2022 neoclust <neoclust> 1.4.3-1.mga9
+ Revision: 1886657
- New version 1.4.3

* Thu Mar 17 2022 umeabot <umeabot> 1.4.1-3.mga9
+ Revision: 1795409
- Mageia 9 Mass Rebuild

* Tue May 18 2021 daviddavid <daviddavid> 1.4.1-2.mga9
+ Revision: 1725484
- add patch to fix missing include <limits>

* Sat May 15 2021 daviddavid <daviddavid> 1.4.1-1.mga9
+ Revision: 1723878
- new version: 1.4.1
- enable now aarch64 and arm build

* Fri Feb 14 2020 umeabot <umeabot> 1.3.3-4.mga8
+ Revision: 1517748
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Sep 23 2018 umeabot <umeabot> 1.3.3-3.mga7
+ Revision: 1301571
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 daviddavid <daviddavid> 1.3.3-2.mga7
+ Revision: 1220945
- new version: 1.3.3
- add back build support for i386

* Thu Dec 22 2016 daviddavid <daviddavid> 1.3.0-1.mga6
+ Revision: 1076430
- new version: 1.3.0
- update URL and Source URL
- fix License

* Tue Jul 12 2016 pterjan <pterjan> 0.7.4-2.mga6
+ Revision: 1041211
- Restrict architectures

* Wed Feb 17 2016 daviddavid <daviddavid> 0.7.4-1.mga6
+ Revision: 963302
- new version: 0.7.4

* Sun Oct 25 2015 tv <tv> 0.7.2-5.mga6
+ Revision: 895112
- disable debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.7.2-5.mga5
+ Revision: 747409
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.7.2-3.mga4
+ Revision: 530166
- Mageia 4 Mass Rebuild

* Fri Jul 19 2013 fwang <fwang> 0.7.2-2.mga4
+ Revision: 456348
- update libdir

* Fri Jul 19 2013 fwang <fwang> 0.7.2-1.mga4
+ Revision: 456347
- update file list
- update file list
- update build dir
- imported package vc

